<script>
export default {
  name: "lemonMessageVoice",
  inheritAttrs: false,
  inject: ["IMUI"],
  render(h) {
    return h("lemon-message-basic", {
      class: "lemon-message-voice",
      props: { ...this.$attrs, avatar: "default-avatar-url" }, // Provide a default value for avatar
      scopedSlots: {
        content: (props) => {
          return h("span", [props.content, "\u00A0🔈"]);
        },
      },
    });
  },
};
</script>
<style lang="scss">
.lemon-message.lemon-message-voice {
  user-select: none;
  .lemon-message__content {
    border: 2px solid #000;
    font-size: 12px;
    cursor: pointer;
    &::before {
      display: none;
    }
  }
}
</style>
